Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update a pipeline stage

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

Renames a stage or sets its win probability (0–100) and critical threshold in days. Pass null to clear a value. Requires the key’s member to manage workspace settings.

PATCH/v1/deal-stages/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Path parameters
idstringrequired
min length 1
Request body
application/json
namestring
min length 1 · max length 80
probabilityinteger | null
Show properties
Any of:
integer
integer
null
null
staleAfterDaysinteger | null
Show properties
Any of:
integer
integer
null
null
Responses
200

OK

idstringrequired
keystringrequired
namestringrequired
sortOrderintegerrequired
min -9007199254740991 · max 9007199254740991
archivedbooleanrequired
probabilityinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
staleAfterDaysinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://app.bauhow.com/api/v1/deal-stages/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "probability": 0,
  "staleAfterDays": 1
}'
Response
{
  "id": "string",
  "key": "string",
  "name": "string",
  "sortOrder": -9007199254740991,
  "archived": true,
  "probability": -9007199254740991,
  "staleAfterDays": -9007199254740991
}

Was this page helpful?